#!/usr/bin/lua

json = require "json"

function trim(s)
   return (s:gsub("^%s*(.-)%s*$", "%1"))
end

local out
pop = io.popen("fw_printenv SN")
out = pop:read("*all")
pop:close()

local system_info = {}
system_info["serial_number"]=trim(out:sub(4))
system_info["board"]="XE-33 2S"
f = io.open("/var/xnet_board_info.json","w")

f:write(json.encode(system_info))
f:close()